﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;

namespace WebApplication5
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                ShapeFileFeatureLayer.BuildIndexFile(MapPath("~/App_Data/Merge_Countries.shp"), BuildIndexMode.DoNotRebuild);

                Proj4Projection proj4Projection = new Proj4Projection();
                proj4Projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
                proj4Projection.ExternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(3857);
                proj4Projection.Open();

                Map1.MapUnit = GeographyUnit.Meter;
                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/Merge_Countries.shp"));
                worldLayer.FeatureSource.Projection = proj4Projection;
                AreaStyle areaStyle = new AreaStyle();
                areaStyle.FillSolidBrush = new GeoSolidBrush(GeoColor.FromArgb(255, 233, 232, 214));
                areaStyle.OutlinePen = new GeoPen(GeoColor.FromArgb(255, 118, 138, 69), 1);
                areaStyle.OutlinePen.DashStyle = LineDashStyle.Solid;
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = areaStyle;
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(worldLayer);
                Map1.CurrentExtent = proj4Projection.ConvertToExternalProjection(new RectangleShape(-134, 70, -56, 7));
                Map1.MapBackground = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);
            }
            catch (Exception ex)
            {
                Response.Write(ex.Message);
            }
        }
    }
}